## visad
Class MessageEvent

    java.lang.Object
      visad.MessageEvent

public class MessageEvent
extends Object

Field Summary
`static int` `ID_GENERIC`

Constructor Summary
`MessageEvent(int id)` Create a message event with the given ID
`MessageEvent(int id, int originator, String str, RemoteData data)` Create a message event with the given IDs, string and data
`MessageEvent(int id, RemoteData data)` Create a message event with the given ID and data
`MessageEvent(int id, String str)` Create a message event with the given ID and string
`MessageEvent(int id, String str, RemoteData data)` Create a message event with the given ID, string and data
`MessageEvent(RemoteData data)` Create a message event with the given data
`MessageEvent(String str)` Create a message event with the given string
`MessageEvent(String str, RemoteData data)` Create a message event with the given string and data

Method Summary
`RemoteData` `getData()` Get the data associated with this message.
`int` `getId()` Get this message's ID.
`int` `getOriginatorId()` Get the ID of the originator of this message.
`String` `getString()` Get the string associated with this message.
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ID_GENERIC

    public static final int ID_GENERIC

See Also:
  Constant Field Values

Constructor Detail

### MessageEvent

    public MessageEvent(int id)

  Create a message event with the given ID

Parameters:
  `id` - Message ID

### MessageEvent

    public MessageEvent(String str)

  Create a message event with the given string

Parameters:
  `str` - Message `String`

### MessageEvent

    public MessageEvent(RemoteData data)

  Create a message event with the given data

Parameters:
  `data` - Message `Data`

### MessageEvent

    public MessageEvent(int id,
                        String str)

  Create a message event with the given ID and string

Parameters:
  `id` - Message ID
  `str` - Message `String`

### MessageEvent

    public MessageEvent(int id,
                        RemoteData data)

  Create a message event with the given ID and data

Parameters:
  `id` - Message ID
  `data` - Message `Data`

### MessageEvent

    public MessageEvent(String str,
                        RemoteData data)

  Create a message event with the given string and data

Parameters:
  `str` - Message `String`
  `data` - Message `Data`

### MessageEvent

    public MessageEvent(int id,
                        String str,
                        RemoteData data)

  Create a message event with the given ID, string and data

Parameters:
  `id` - Message ID
  `str` - Message `String`
  `data` - Message `Data`

### MessageEvent

    public MessageEvent(int id,
                        int originator,
                        String str,
                        RemoteData data)

  Create a message event with the given IDs, string and data

Parameters:
  `id` - Message ID
  `originator` - Originator ID.
  `str` - Message `String`
  `data` - Message `Data`

Method Detail

### getId

    public int getId()

  Get this message's ID.

  Returns:
    The message ID.

### getOriginatorId

    public int getOriginatorId()

  Get the ID of the originator of this message.

  Returns:
    The originator's ID.

### getString

    public String getString()

  Get the string associated with this message.

  Returns:
    The message string.

### getData

    public RemoteData getData()

  Get the data associated with this message.

  Returns:
    The message `Data`.

### toString

    public String toString()